## EogTransform

EogTransform

## Functions

GdkPixbuf * | eog_transform_apply ()
EogTransform * | eog_transform_reverse ()
EogTransform * | eog_transform_compose ()
gboolean | eog_transform_get_affine ()
gboolean | eog_transform_is_identity ()
EogTransform * | eog_transform_identity_new ()
EogTransform * | eog_transform_rotate_new ()
EogTransform * | eog_transform_flip_new ()
EogTransform * | eog_transform_scale_new ()
EogTransform * | eog_transform_new ()
EogTransformType | eog_transform_get_transform_type ()

## Types and Values

enum | EogTransformType
struct | EogTransform

## Object Hierarchy

        GObject
        ╰── EogTransform

## Description

## Functions

### eog_transform_apply ()

    GdkPixbuf *
    eog_transform_apply (EogTransform *trans,
                         GdkPixbuf *pixbuf,
                         EogJob *job);

Applies the transformation in `trans` to `pixbuf` , setting its progress in `job` .

#### Parameters

trans | a EogTransform |
pixbuf | a GdkPixbuf |
job | a EogJob |

#### Returns

A new GdkPixbuf with the transformation applied.

[transfer full]

### eog_transform_reverse ()

    EogTransform *
    eog_transform_reverse (EogTransform *trans);

Creates the reverse transformation of `trans`

#### Parameters

trans | a EogTransform |

#### Returns

a new transformation.

[transfer full]

### eog_transform_compose ()

    EogTransform *
    eog_transform_compose (EogTransform *trans,
                           EogTransform *compose);

#### Parameters

trans | a EogTransform |
compose | another EogTransform |

#### Returns

a new transform.

[transfer full]

### eog_transform_get_affine ()

    gboolean
    eog_transform_get_affine (EogTransform *trans,
                              cairo_matrix_t *affine);

### eog_transform_is_identity ()

    gboolean
    eog_transform_is_identity (EogTransform *trans);

### eog_transform_identity_new ()

    EogTransform *
    eog_transform_identity_new (void);

### eog_transform_rotate_new ()

    EogTransform *
    eog_transform_rotate_new (int degree);

### eog_transform_flip_new ()

    EogTransform *
    eog_transform_flip_new (EogTransformType type);

### eog_transform_scale_new ()

    EogTransform *
    eog_transform_scale_new (double sx,
                             double sy);

### eog_transform_new ()

    EogTransform *
    eog_transform_new (EogTransformType trans);

### eog_transform_get_transform_type ()

    EogTransformType
    eog_transform_get_transform_type (EogTransform *trans);

## Types and Values

### enum EogTransformType

#### Members

EOG_TRANSFORM_NONE |  |
EOG_TRANSFORM_ROT_90 |  |
EOG_TRANSFORM_ROT_180 |  |
EOG_TRANSFORM_ROT_270 |  |
EOG_TRANSFORM_FLIP_HORIZONTAL |  |
EOG_TRANSFORM_FLIP_VERTICAL |  |
EOG_TRANSFORM_TRANSPOSE |  |
EOG_TRANSFORM_TRANSVERSE |  |

### struct EogTransform

    struct EogTransform;